import { NotificationsPopover } from '@kit/notifications/components';
import { featureFlagsConfig } from '@kit/shared/config';

export function UserNotifications(props: { userId: string }) {
  if (!featureFlagsConfig.enableNotifications) {
    return null;
  }

  return (
    <NotificationsPopover
      accountIds={[props.userId]}
      realtime={featureFlagsConfig.realtimeNotifications}
    />
  );
}
